---
layout: docs
page_title: 'Commands: recommendation list'
description: |
  The recommendation list command is used to list the available recommendations.
---

# Command: recommendation list

The `recommendation list` command is used to list the available recommendations.

~> Recommendation commands are new in Nomad 1.0 and are only available with
Nomad Enterprise.

## Usage

```plaintext
nomad recommendation list [options]
```

The `recommendation list` command requires no arguments.

When ACLs are enabled, this command requires a token with the `submit-job`,
`read-job`, and `submit-recommendation` capabilities for the namespace being
queried.

## General Options

@include 'general_options.mdx'

## List Options

- `-job`: Specifies the job ID to filter the recommendations list by.

- `-group`: Specifies the task group name to filter within a job. If specified,
  the `-job` flag must also be specified.

- `-task`: Specifies the task name to filter within a job and task group. If
  specified, the `-job` and `-group` flags must also be specified.

- `-json`: Output the recommendations in its JSON format.

- `-t`: Format and display the recommendations using a Go template.

## Examples

List all available recommendations:

```shell-session
$ nomad recommendation list
ID                                    Job      Group     Task   Resource  Value
ea130ac3-1410-cfe0-f34d-adc3ca94712d  example  cache-lb  nginx  CPU       57
68236421-c90f-efa6-fc02-37ae2d59bf03  example  cache     redis  CPU       57
980c2554-7a1b-0c51-933a-f46850a228bd  example  cache     redis  MemoryMB  10
```

List all available recommendations for the job `example` and the task group `cache`:

```shell-session
$ nomad recommendation list -job=example -group=cache
ID                                    Job      Group  Task   Resource  Value
68236421-c90f-efa6-fc02-37ae2d59bf03  example  cache  redis  CPU       57
980c2554-7a1b-0c51-933a-f46850a228bd  example  cache  redis  MemoryMB  10
```
